Description

In http_resource.rb, there's the following code:

def issue_request(method:, path:, headers: {}, payload: nil)

        logger.debug("Resource #{method.upcase} request: #{path}")

        logger.debug "Headers: #{headers.to_json}" 

        begin

          logger.debug "Body: #{filter_sensitive_data(payload.to_json)}" 

        rescue JSON::GeneratorError

          logger.debug "Body: Error: could not render payload as json" 

        end

 The last logger.debug might cause an Encoding::UndefinedConversionError error instead of a JSON::GeneratorError.

Associated revisions

Revision 95a55e0d - 05/01/2024 02:36 PM - Ian Ballou 

Fixes #37380 - Container push can fail with a different JSON error

History

#1 - 04/23/2024 06:17 PM - Ian Ballou

- Subject changed from Container push fails with Ruby 3 to Container push can fail with a different JSON error

#2 - 04/23/2024 06:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/10977 added

#3 - 04/24/2024 05:41 PM - Ian Ballou

- Triaged changed from No to Yes

#4 - 05/01/2024 02:36 PM - The Foreman Bot

- Fixed in Releases Katello 4.13.0 added

#5 - 05/01/2024 03:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset katello|95a55e0da6b5355170a23bed51d6f5065c05cb7f.
